Bug 149870 - CAN-2005-0546 multiple buffer overflows in cyrus-imapd
CAN-2005-0546 multiple buffer overflows in cyrus-imapd
Product: Fedora
Classification: Fedora
Component: cyrus-imapd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
Brian Brock
: Security
Depends On:
Blocks: 156290
  Show dependency treegraph
Reported: 2005-02-28 10:08 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-24 12:24:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-02-28 10:08:22 EST
+++ This bug was initially created as a clone of Bug #149869 +++

Multiple buffer overflows in Cyrus IMAPd before 2.2.11 may allow attackers to
execute arbitrary code via (1) an off-by-one error in the imapd annotate
extension, (2) an off-by-one error in "cached header handling," (3) a
stack-based buffer overflow in fetchnews, or (4) a stack-based buffer overflow
in imapd.

* Fix possible single byte overflow in mailbox handling code. 
* Fix possible single byte overflows in the imapd annotate extension. 
* Fix stack buffer overflows in fetchnews (exploitable by peer news
  server), backend (exploitable by admin), and in imapd (exploitable
  by users though only on platforms where a filename may be larger
  than a mailbox name).
Comment 1 Josh Bressers 2005-02-28 10:10:46 EST
This issue should also affect FC2.
Comment 2 John Dennis 2005-04-04 19:10:51 EDT
O.K. version 2.2.12 is in CVS and built. Please note version 2.2.11 referenced
in above annoucement was superceded in hours by 2.2.12 without any statement I
could find as to why, I can only assume because 2.2.11 needed a minor fix, thus
I've upgraded to 2.2.12.

Also note, cyrus-imapd has been deprecated in FC4, however that CVS branch was
updated, but it could not be built because its deprecated. The same upgrade fix
was applied to FC3 and FC2.

Tomorrow I will sanity test the new builds and start the fedora push process.
Comment 3 John Dennis 2005-04-24 12:24:16 EDT
testing completed. package sign and push requested submitted, announcement to
list will follow when packages are signed and pushed. Closing this out...

Note You need to log in before you can comment on or make changes to this bug.